---
title: MySqlCommand constructors
---

# MySqlCommand constructor (1 of 5)

Initializes a new instance of the [`MySqlCommand`](../../MySqlCommandType/) class.

```csharp
public MySqlCommand()
```

## See Also

* class [MySqlCommand](../../MySqlCommandType/)
* namespace [MySqlConnector](../../MySqlCommandType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlCommand constructor (2 of 5)

Initializes a new instance of the [`MySqlCommand`](../../MySqlCommandType/) class, setting [`CommandText`](../CommandText/) to *commandText*.

```csharp
public MySqlCommand(string commandText)
```

| parameter | description |
| --- | --- |
| commandText | The text to assign to [`CommandText`](../CommandText/). |

## See Also

* class [MySqlCommand](../../MySqlCommandType/)
* namespace [MySqlConnector](../../MySqlCommandType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlCommand constructor (3 of 5)

Initializes a new instance of the [`MySqlCommand`](../../MySqlCommandType/) class with the specified [`MySqlConnection`](../../MySqlConnectionType/) and [`MySqlTransaction`](../../MySqlTransactionType/).

```csharp
public MySqlCommand(MySqlConnection connection, MySqlTransaction transaction)
```

| parameter | description |
| --- | --- |
| connection | The [`MySqlConnection`](../../MySqlConnectionType/) to use. |
| transaction | The active [`MySqlTransaction`](../../MySqlTransactionType/), if any. |

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlCommand](../../MySqlCommandType/)
* namespace [MySqlConnector](../../MySqlCommandType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlCommand constructor (4 of 5)

Initializes a new instance of the [`MySqlCommand`](../../MySqlCommandType/) class with the specified command text and [`MySqlConnection`](../../MySqlConnectionType/).

```csharp
public MySqlCommand(string commandText, MySqlConnection connection)
```

| parameter | description |
| --- | --- |
| commandText | The text to assign to [`CommandText`](../CommandText/). |
| connection | The [`MySqlConnection`](../../MySqlConnectionType/) to use. |

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* class [MySqlCommand](../../MySqlCommandType/)
* namespace [MySqlConnector](../../MySqlCommandType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlCommand constructor (5 of 5)

Initializes a new instance of the [`MySqlCommand`](../../MySqlCommandType/) class with the specified command text,[`MySqlConnection`](../../MySqlConnectionType/), and [`MySqlTransaction`](../../MySqlTransactionType/).

```csharp
public MySqlCommand(string commandText, MySqlConnection connection, MySqlTransaction transaction)
```

| parameter | description |
| --- | --- |
| commandText | The text to assign to [`CommandText`](../CommandText/). |
| connection | The [`MySqlConnection`](../../MySqlConnectionType/) to use. |
| transaction | The active [`MySqlTransaction`](../../MySqlTransactionType/), if any. |

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* class [MySqlTransaction](../../MySqlTransactionType/)
* class [MySqlCommand](../../MySqlCommandType/)
* namespace [MySqlConnector](../../MySqlCommandType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
